import 'package:flutter/services.dart';

class ExerciseType {
  int exerciseTypeId;
  String name;
  String description;
  BinaryCodec video;

  ExerciseType({this.name, this.description});

  ExerciseType.fromJson(Map json) {
    this.exerciseTypeId = json['exerciseTypeId'];
    this.name = json['name'];
    this.description = json['description'];
  }

  Map<String, dynamic> toJson() =>
      {
        "name": name,
        "description": description,
      };
}